local ToT = {}
local lastupdate = 0
local previousToT

function ToT:OnLoad()
	--self = Minimap
self = CreateFrame("Button","self",UIParent,"SecureUnitButtonTemplate")
--Dominos Stuff--




CreateFrame("Frame", "Minimapbar", Minimapsbar)
self:SetParent(Minimapbar)


local menuButtons
do
	local loadButtons = function(...)
		menuButtons = {}
		
		for i = 1, select('#', ...) do
			local b = select(i, ...)
			local name = b:GetName()
			table.insert(menuButtons, b)
		end
	end
	loadButtons(_G['Minimapbar']:GetChildren())
end

--[[ Minimap ]]--
local DMAP = Dominos:NewModule('Minimap')
local MAP

function DMAP:Load()
	self = MAP:New()
	self:SetFrameStrata('LOW')

end
function DMAP:Unload()
	self:Free()
end



MAP = Dominos:CreateClass('Frame', Dominos.Frame)


function MAP:New()
	local f = self.super.New(self, 'Minimap')
	if not f.value then
		f:SetFrameStrata('BACKGROUND')
		f:LoadButtons()
	end

	f:Layout()


	return f
end

function MAP:GetDefaults()
	return {
		scale = 1,
		point = 'CENTER',
		y = 0,
		x = 0,
	}
end
function MAP:NumButtons()
	return #menuButtons
end

function MAP:AddButton(i)
	local b = menuButtons[i]
	if b then
		b:SetParent(self.header)
		b:Show()

		self.buttons[i] = b
	end
end

function MAP:RemoveButton(i)
	local b = self.buttons[i]
	if b then
		b:SetParent(nil)
		b:Hide()

		self.buttons[i] = nil
	end
end

--[[ Menu Code ]]--
local function AddLayoutPanel(menu)
	local p = menu:NewPanel(LibStub('AceLocale-3.0'):GetLocale('Dominos-Config').Layout)
	p:NewPaddingSlider()
	p:NewOpacitySlider()
	p:NewFadeSlider()
	p:NewScaleSlider()
end


function MAP:CreateMenu()
	local menu = Dominos:NewMenu(self.id)
	AddLayoutPanel(menu)
	self.menu = menu
end
Minimap:ClearAllPoints()
MiniMapMailFrame:ClearAllPoints()
MinimapZoomIn:ClearAllPoints()
MinimapZoomOut:ClearAllPoints()
GameTimeFrame:ClearAllPoints()
MiniMapWorldMapButton:ClearAllPoints()
MiniMapTrackingButton:ClearAllPoints()
MiniMapTracking:ClearAllPoints()
Minimap:SetParent(self)
GameTimeFrame:SetParent(self)
MiniMapWorldMapButton:SetParent(self)
MiniMapMailFrame:SetParent(self)
MiniMapTrackingButton:SetParent(self)
MiniMapTracking:SetParent(MiniMapTrackingButton)
MiniMapTracking:SetPoint("CENTER", MiniMapTrackingButton, "CENTER",3,-3);
MinimapZoomIn:SetParent(self)
MinimapZoomOut:SetParent(self)

MinimapZoneTextButton:ClearAllPoints()
MinimapZoneText:SetPoint("CENTER", MinimapZoneTextButton, "CENTER",0,1);
MinimapZoneTextButton:SetBackdrop( {
		bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",
		edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border", tile = true, tileSize = 10, edgeSize = 10,
		insets = { left = 3, right = 3, top = 3, bottom = 3} })
MinimapZoneTextButton:SetParent(self)
Minimap:SetPoint("BOTTOMLEFT", self, "BOTTOMLEFT",0,0);
MinimapZoneTextButton:SetPoint("BOTTOMLEFT", Minimap, "TOPLEFT",0,0);
MinimapZoneTextButton:SetHeight(19)
MinimapZoneTextButton:SetWidth(Minimap:GetWidth() + 23.732)
self:SetHeight(Minimap:GetHeight()+MinimapZoneTextButton:GetHeight())
self:SetWidth(Minimap:GetWidth()+23.732)
GameTimeFrame:SetPoint("TOPLEFT", Minimap, "TOPRIGHT",0,1);
MiniMapWorldMapButton:SetPoint("TOP", GameTimeFrame, "Bottom",0,0);
MiniMapMailFrame:SetPoint("TOP", MiniMapWorldMapButton, "BOTTOM",0,0);
MiniMapTrackingButton:SetPoint("TOP", MiniMapMailFrame, "BOTTOM",-1,0);
MinimapZoomIn:SetPoint("TOP", MiniMapTrackingButton, "BOTTOM",1,0);
MinimapZoomOut:SetPoint("TOP",MinimapZoomIn,"BOTTOM",0,0);


GameTimeFrame:SetHeight(34)
MiniMapWorldMapButton:SetHeight(GameTimeFrame:GetHeight())
MiniMapTracking:SetHeight(GameTimeFrame:GetHeight())
MinimapZoomIn:SetHeight(GameTimeFrame:GetHeight())
MinimapZoomOut:SetHeight(GameTimeFrame:GetHeight())


GameTimeFrame:SetWidth(34)
MiniMapWorldMapButton:SetWidth(GameTimeFrame:GetWidth())
MiniMapTracking:SetWidth(GameTimeFrame:GetWidth())
MinimapZoomIn:SetWidth(GameTimeFrame:GetWidth())
MinimapZoomOut:SetWidth(GameTimeFrame:GetWidth())

GameTimeFrame:SetScale(.698)
MiniMapWorldMapButton:SetScale(GameTimeFrame:GetScale())
--MiniMapTracking:SetScale(GameTimeFrame:GetScale())
MiniMapTrackingButton:SetScale(GameTimeFrame:GetScale())
MinimapZoomIn:SetScale(GameTimeFrame:GetScale())
MinimapZoomOut:SetScale(GameTimeFrame:GetScale())
MiniMapMailFrame:SetScale(GameTimeFrame:GetScale())
	self:SetFrameStrata("LOW")
	self:ClearAllPoints()

	SecureUnitButton_OnLoad(self, "focus")




	self:RegisterEvent("UNIT_TARGET")

--[[	self:SetScript("OnEvent", function(_,event,unit)
		if (event == "UNIT_TARGET") then 
			self:Update_Frame() 
		end
	end)

	self:SetScript("OnShow", function() self:Update_Frame() end)
--]]
end

function ToT:Update_Frame()

end
ToT:OnLoad()


MinimapBorderTop:Hide();
MinimapBorder:Hide();
MinimapBackdrop:Hide();
MinimapNorthTag:ClearAllPoints()
MinimapNorthTag:Hide()
MinimapNorthTag:SetAlpha(0)
Minimap:SetMaskTexture("Interface\\AddOns\\Dominos_MINIMAP\\HoleMinimap.tga")